Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(revision 368)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(revision 369)
@@ -61,10 +61,6 @@
 
         private bool m_CloseingProcessOn = true;
 
-        private bool m_bChengeAns = false;
-
-        //        private List<RequestData> m_RequestData = new List<RequestData>();
-
         private bool m_bDirty = false;
         private bool m_bVisible = false;
         private bool m_bEdit = true;
@@ -76,7 +72,14 @@
         /// 該当工事基本情報
         /// </summary>
         ConstructionBaseInfo m_ConstructionBaseInfo = new ConstructionBaseInfo();
+
+        #region 承認パネルリスト
+        /// <summary>
+        /// 承認パネルリスト
+        /// </summary>
+        private List<Panel> m_ApplPnlList = new List<Panel>();
         #endregion
+        #endregion
 
         #region プロパティ
         /// <summary>
@@ -161,33 +164,6 @@
         }
         #endregion
 
-        #region 初期起動チェック
-        /// <summary>
-        /// 初期起動チェック
-        /// </summary>
-        /// <returns></returns>
-        private bool InitExecCheck()
-        {
-            try
-            {
-                string msg = "";
-
-                // 初期起動チェック
-                if (CheckInit(ref msg) == false)
-                {
-                    MessageBox.Show(msg, "起動エラー", MessageBoxButtons.OK);
-                    return false;
-                }
-                return true;
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-        }
-        #endregion
-
         #region フォームのロード
         /// <summary>
         /// フォームのロード
@@ -199,8 +175,6 @@
                 // 初期起動チェック
                 if (!InitExecCheck())
                 {
-                    // 前プロセスに戻る
-                    ClsExcute.BackProcess();
                     this.Close();
                     return;
                 }
@@ -220,27 +194,21 @@
                 // 請求月の設定
                 SetRequestMonth();
 
-                for (int i = 1; i < m_nMaxOrderNo; i++)
-                {
-                    int tcol = (int)ColumnName.Request01 + i;
-
-                    dgv1.Columns[tcol].Visible = true;
-                }
-
                 // [回数追加]ボタンの制御
                 btnAdd.Enabled = GetbtnAddEnabled();
 
                 // 画面左上に分割か一括かを表示
-                if (BillingSplit())
+                BillingLabel();
+
+                // 申請・承認表示処理
+                int nSetOrderNo = (m_OrderNo == 0) ? m_nMaxOrderNo : m_OrderNo;
+                // ----- 承認済の場合承認済みフラグON
+                if (ClsCommonApproval.CheckProcessApproval(m_ConstructionCode
+                                                                , (int)ClsExcute.ApprovalListNo.OrderRequestApproval
+                                                                , nSetOrderNo))
                 {
-                    SeparateBillingLabel.Visible = true;
-                    CombinedOrderLabel.Visible = false;
+                    m_bEdit = true;
                 }
-                else
-                {
-                    SeparateBillingLabel.Visible = false;
-                    CombinedOrderLabel.Visible = true;
-                }
 
                 if (m_bEdit == false)
                 {
@@ -251,23 +219,32 @@
                 CreateProcessContextMenu(m_SubForm);
                 // *-----* 処理移動ボタン設定 *-----*
 
-                // 承認機能番号が0の場合(=承認画面からの呼び出し)
-                if (m_ApprovalCode == 0) return;
 
-                pnlNormal.Visible = false;
+                // 申請・承認表示処理
+                m_ApplPnlList.Add(pnlApproval);
+                m_ApplPnlList.Add(pnlApprovalButton);
+                ClsCommonApproval.CtrlConstrAppPanel((int)ClsExcute.ApprovalListNo.OrderRequestApproval
+                                                        , m_ConstructionCode
+                                                        , nSetOrderNo
+                                                        , m_ApplPnlList);
 
-                ApprovalMaster App = null;
+                //// 承認機能番号が0の場合(=承認画面からの呼び出し)
+                //if (m_ApprovalCode == 0) return;
 
-                // 承認経路上にログインユーザがある場合は、承認の各ボタンを表示
-                if (m_dicApprovalMaster.TryGetValue(CommonMotions.LoginUserData.PersonCode, out App) == true)
-                {
-                    pnlApproval.Visible = true;
-                }
+                //pnlApproval.Visible = false;
 
-                // その他不要なボタンも非表示
-                btnOtherProc.Visible = false;           // その他画面ボタン
-                btnAdd.Visible = false;                 // 回数追加ボタン
-                btnEntry.Visible = false;               // 登録ボタン
+                //ApprovalMaster App = null;
+
+                //// 承認経路上にログインユーザがある場合は、承認の各ボタンを表示
+                //if (m_dicApprovalMaster.TryGetValue(CommonMotions.LoginUserData.PersonCode, out App) == true)
+                //{
+                //    pnlApprovalButton.Visible = true;
+                //}
+
+                //// その他不要なボタンも非表示
+                //btnOtherProc.Visible = false;           // その他画面ボタン
+                //btnAdd.Visible = false;                 // 回数追加ボタン
+                //btnEntry.Visible = false;               // 登録ボタン
             }
             catch (Exception ex)
             {
@@ -301,9 +278,13 @@
                     return;
                 }
             }
+            // サブフォーム起動はプロセスカウンタを変更しない
+            if (m_SubForm) m_CloseingProcessOn = false;
 
-            if (m_CloseingProcessOn)
-                ClsExcute.BackProcess();
+            // フォームがCloseされていなければクローズする
+            TerminatingProcess();
+
+            if (m_CloseingProcessOn) ClsExcute.BackProcess();
         }
         #endregion
 
@@ -346,6 +327,11 @@
 
                 btnAdd.Enabled = false;
 
+                // 承認件数更新
+                ClsCommonApproval.CtrlConstrAppPanel((int)ClsExcute.ApprovalListNo.OrderRequestApproval
+                                                        , m_ConstructionCode
+                                                        , m_nMaxOrderNo
+                                                        , m_ApplPnlList);
             }
             catch (Exception ex)
             {
@@ -355,115 +341,6 @@
         }
         #endregion
 
-        #region [請求書申請]ボタン押下
-        /// <summary>
-        /// [請求書申請]ボタン押下
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void btnApproval_Click(object sender, EventArgs e)
-        {
-            int ret;
-
-            int nOldState = m_lstOrderState[m_nMaxOrderNo - 1];
-
-            List<int> lstMainConstructionCode = new List<int>();
-
-            // データが変更されている場合
-            if (m_bDirty == true)
-            {
-                if (ShowMessageBox("データが保存されます。よろしいですか？", "保存確認", MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No)
-                {
-                    return;
-                }
-                // データ保存
-                AcceptData();
-            }
-
-            // エラー表示を一旦クリア
-            ClearErrorIndicate();
-
-            // 申請チェック
-            ret = CheckApproval(ref lstMainConstructionCode);
-
-            // 状態が入力中の場合
-            if (nOldState == (int)ApprovalState.Entry)
-            {
-
-                if (ret == (int)CheckResult.ErrorStatus)
-                {
-                    // エラー表示
-                    SetErrorIndicate(lstMainConstructionCode);
-
-                    ShowMessageBox("請求準備ではないため、請求承認の申請はできません。", "申請確認", MessageBoxButtons.OK, MessageBoxIcon.Error);
-
-                    return;
-                }
-
-                if (ret == (int)CheckResult.NoError)
-                {
-                    if (ShowMessageBox("請求承認を申請してよろしいですか？", "申請確認", MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No)
-                    {
-                        return;
-                    }
-                }
-                else if (ret == (int)CheckResult.WarningUnmatch)
-                {
-                    if (ShowMessageBox("工事金額が全て請求されていませんが、\n請求承認を申請してよろしいですか？", "申請確認", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
-                    {
-                        return;
-                    }
-                }
-                else if (ret == (int)CheckResult.WarningOver)
-                {
-                    if (ShowMessageBox("請求金額が工事金額を超えていますが、\n請求承認を申請してよろしいですか？", "申請確認", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
-                    {
-                        return;
-                    }
-                }
-                else
-                {
-                    return;
-                }
-            }
-
-            // 承認画面を表示
-            FrmApprovalScreen frmApprovalScreen = new FrmApprovalScreen();
-            frmApprovalScreen.ConstructionCode = m_ConstructionCode;
-            frmApprovalScreen.ApprovalCode = (int)ClsExcute.ApprovalListNo.OrderBillingApproval;
-            frmApprovalScreen.OrderNo = m_nMaxOrderNo;
-            frmApprovalScreen.ShowDialog(this);
-
-            m_dicProcessApproval.Clear();
-
-            // 承認データの再取得
-            GetProcessApproval(m_ConstructionCode, ref m_dicProcessApproval);
-
-            int nNewState = GetApprovalState(m_ConstructionCode, m_nMaxOrderNo);
-
-            int tcol = m_nMaxOrderNo + (int)ColumnName.Sum;
-
-            if (nNewState != nOldState)
-            {
-                m_lstOrderState[m_nMaxOrderNo - 1] = nNewState;
-
-                SetRequestMonthAndApprovalState(m_nMaxOrderNo, 0, nNewState);
-
-                if (nNewState != (int)ApprovalState.End)
-                {
-                    txtOrderer.ReadOnly = false;
-                    cbReqMonth.Enabled = false;
-                }
-                else
-                {
-                    txtOrderer.ReadOnly = true;
-                    cbReqMonth.Enabled = true;
-                }
-            }
-            this.Close();
-        }
-        #endregion
-
         #region [登録]ボタン押下
         /// <summary>
         /// [登録]ボタン押下
@@ -480,9 +357,6 @@
 
             m_EndButton = DialogResult.Cancel;
 
-            // 前プロセスに戻る
-            ClsExcute.BackProcess();
-
             CommonMotions.EntryEndMessage("請求データ");
 
             // Formを閉じる
@@ -516,7 +390,7 @@
         {
             try
             {
-                if (m_bChengeAns)
+                if (m_bDirty)
                 {   // ----- データ変更有時はデータ登録
                     DataEntryProcess();
                 }
@@ -878,12 +752,399 @@
         }
         #endregion
 
-        #region [承認]ボタン押下
+        #region 申請ボタン押下
         /// <summary>
-        /// [承認]ボタン押下
+        /// 申請ボタン押下
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
+        private void btnPetition_Click(object sender, EventArgs e)
+        {
+            IOPurchaseOrder OrderDB = new IOPurchaseOrder();
+            IOProcessApproval ProAppDB = new IOProcessApproval();
+            try
+            {
+                // 申請時チェック
+                if (!CheckPettion()) return;
+
+                // 承認順チェック
+                if (!CheckApprovalOrder()) return;
+
+                // 請求データが無い場合は登録する
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(OrderDB.CreatePrimarykeyString(m_ConstructionCode));
+                PurchaseOrder DataRec = new PurchaseOrder();
+                if (!OrderDB.SelectAction(strSQL.ToString(), ref DataRec)) m_bDirty = true;
+
+                // データ変更有時はデータ登録
+                if (m_bDirty)
+                {
+                    if (ShowMessageBox("データが保存されます。よろしいですか？"
+                                        , "保存確認"
+                                        , MessageBoxButtons.YesNo
+                                        , MessageBoxIcon.Information) == DialogResult.No)
+                    {
+                        return;
+                    }
+                    // データ保存
+                    AcceptData();
+                }
+
+                // 起動番号
+                int NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ApprovalScreen);
+
+                // 工事番号
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(m_ConstructionCode);
+
+                // 承認機能番号
+                int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("請求承認")).Key;
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iApprovalCode);
+
+                // 受付番号
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(m_nMaxOrderNo);
+
+                // 親フォーム終了
+                m_ParentEnd = true;
+
+                // 終了処理OFF
+                m_CloseingProcessOn = false;
+                // 自フォーム終了
+                this.Close();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                OrderDB.close(); OrderDB = null;
+                ProAppDB.close(); ProAppDB = null;
+            }
+        }
+        #endregion
+
+        #region 承認ボタン押下
+        /// <summary>
+        /// 承認ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnApproval_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // データ変更有時はデータ登録
+                if (m_bDirty)
+                {
+                    if (ShowMessageBox("データが保存されます。よろしいですか？"
+                                        , "保存確認"
+                                        , MessageBoxButtons.YesNo
+                                        , MessageBoxIcon.Information) == DialogResult.No)
+                    {
+                        return;
+                    }
+                    // データ保存
+                    AcceptData();
+                }
+
+                // 承認順チェック
+                if (!CheckApprovalOrder()) return;
+
+                // 起動番号
+                int NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ApprovalScreen);
+
+                // 工事番号
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(m_ConstructionCode);
+
+                // 承認機能番号
+                int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("請求承認")).Key;
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iApprovalCode);
+
+                // 受付番号
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(m_nMaxOrderNo);
+
+                // 親フォーム終了
+                m_ParentEnd = true;
+
+                // 終了処理OFF
+                m_CloseingProcessOn = false;
+                // 自フォーム終了
+                this.Close();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 承認パネル（pnlApproval）承認ボタン
+        /// <summary>
+        /// 承認パネル（pnlApproval）承認ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnOnApproval_Click(object sender, EventArgs e)
+        {
+            FrmApprovalScreen frm = new FrmApprovalScreen();
+            try
+            {
+                /// 承認順チェック
+                if (!CheckApprovalOrder()) return;
+
+                if (MessageBox.Show("案件を承認します、よろしいですか？。", "承認確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
+
+                // 工事番号
+                frm.ConstructionCode = m_ConstructionCode;
+                // 承認機能番号セット
+                frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("請求承認")).Key;
+                // 受付番号セット
+                frm.OrderNo = m_nMaxOrderNo;
+
+                // 申請・承認レコード更新
+                if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.Approval, false))
+                {
+                    MessageBox.Show("承認に失敗しました。", "承認エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                // 完了メッセージ
+                CommonMotions.EntryEndMessage("承認", "");
+
+                // メニューへ戻る
+                ClsExcute.ClearProcess();
+                // 終了処理フラグOff
+                m_CloseingProcessOn = false;
+                // 画面クローズ
+                this.Close();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 承認パネル（pnlApproval）保留ボタン
+        /// <summary>
+        /// 承認パネル（pnlApproval）保留ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnOnHold_Click(object sender, EventArgs e)
+        {
+            FrmApprovalScreen frm = new FrmApprovalScreen();
+            try
+            {
+                /// 承認順チェック
+                if (!CheckApprovalOrder()) return;
+
+                if (MessageBox.Show("案件を保留とします、よろしいですか？。", "保留確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
+
+                // 工事番号
+                frm.ConstructionCode = m_ConstructionCode;
+                // 承認機能番号セット
+                frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("請求承認")).Key;
+                // 受付番号セット
+                frm.OrderNo = m_nMaxOrderNo;
+
+                // 申請・承認レコード更新
+                if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.Pending, false))
+                {
+                    MessageBox.Show("保留に失敗しました。", "保留エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                // 完了メッセージ
+                CommonMotions.EntryEndMessage("保留", "");
+
+                // メニューへ戻る
+                ClsExcute.ClearProcess();
+                // 終了処理フラグOff
+                m_CloseingProcessOn = false;
+                // 画面クローズ
+                this.Close();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 承認パネル（pnlApproval）不承認ボタン
+        /// <summary>
+        /// 承認パネル（pnlApproval）不承認ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnNotApproval_Click(object sender, EventArgs e)
+        {
+            FrmApprovalScreen frm = new FrmApprovalScreen();
+            try
+            {
+                /// 承認順チェック
+                if (!CheckApprovalOrder()) return;
+
+                if (MessageBox.Show("案件を不承認します、よろしいですか？。", "不承認確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
+
+                // 工事番号
+                frm.ConstructionCode = m_ConstructionCode;
+                // 承認機能番号セット
+                frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("請求承認")).Key;
+                // 受付番号セット
+                frm.OrderNo = m_nMaxOrderNo;
+
+                // 申請・承認レコード更新
+                if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.NotApproval, false))
+                {
+                    MessageBox.Show("不承認に失敗しました。", "不承認エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                // 完了メッセージ
+                CommonMotions.EntryEndMessage("不承認", "");
+
+                // メニューへ戻る
+                ClsExcute.ClearProcess();
+                // 終了処理フラグOff
+                m_CloseingProcessOn = false;
+                // 画面クローズ
+                this.Close();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region [請求書申請]ボタン押下（未使用）
+        /// <summary>
+        /// [請求書申請]ボタン押下（未使用）
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnApproval_Click1(object sender, EventArgs e)
+        {
+            // データが変更されている場合
+            if (m_bDirty == true)
+            {
+                if (ShowMessageBox("データが保存されます。よろしいですか？", "保存確認", MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No)
+                {
+                    return;
+                }
+                // データ保存
+                AcceptData();
+            }
+
+            // エラー表示を一旦クリア
+            ClearErrorIndicate();
+
+            List<int> lstMainConstructionCode = new List<int>();
+            int nOldState = m_lstOrderState[m_nMaxOrderNo - 1];
+            // 申請チェック
+            int ret = CheckApprovalMain(ref lstMainConstructionCode);
+
+            // 状態が入力中の場合
+            if (nOldState == (int)ApprovalState.Entry)
+            {
+
+                if (ret == (int)CheckResult.ErrorStatus)
+                {
+                    // エラー表示
+                    SetErrorIndicate(lstMainConstructionCode);
+
+                    ShowMessageBox("請求準備ではないため、請求承認の申請はできません。", "申請確認", MessageBoxButtons.OK, MessageBoxIcon.Error);
+
+                    return;
+                }
+
+                if (ret == (int)CheckResult.NoError)
+                {
+                    if (ShowMessageBox("請求承認を申請してよろしいですか？", "申請確認", MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No)
+                    {
+                        return;
+                    }
+                }
+                else if (ret == (int)CheckResult.WarningUnmatch)
+                {
+                    if (ShowMessageBox("工事金額が全て請求されていませんが、\n請求承認を申請してよろしいですか？", "申請確認", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                    {
+                        return;
+                    }
+                }
+                else if (ret == (int)CheckResult.WarningOver)
+                {
+                    if (ShowMessageBox("請求金額が工事金額を超えていますが、\n請求承認を申請してよろしいですか？", "申請確認", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                    {
+                        return;
+                    }
+                }
+                else
+                {
+                    return;
+                }
+            }
+
+            // 承認画面を表示
+            FrmApprovalScreen frmApprovalScreen = new FrmApprovalScreen();
+            frmApprovalScreen.ConstructionCode = m_ConstructionCode;
+            frmApprovalScreen.ApprovalCode = (int)ClsExcute.ApprovalListNo.OrderRequestApproval;
+            frmApprovalScreen.OrderNo = m_nMaxOrderNo;
+            frmApprovalScreen.ShowDialog(this);
+
+            m_dicProcessApproval.Clear();
+
+            // 承認データの再取得
+            GetProcessApproval(m_ConstructionCode, ref m_dicProcessApproval);
+
+            int nNewState = GetApprovalState(m_ConstructionCode, m_nMaxOrderNo);
+
+            int tcol = m_nMaxOrderNo + (int)ColumnName.Sum;
+
+            if (nNewState != nOldState)
+            {
+                m_lstOrderState[m_nMaxOrderNo - 1] = nNewState;
+
+                SetRequestMonthAndApprovalState(m_nMaxOrderNo, 0, nNewState);
+
+                if (nNewState != (int)ApprovalState.End)
+                {
+                    txtOrderer.ReadOnly = false;
+                    cbReqMonth.Enabled = false;
+                }
+                else
+                {
+                    txtOrderer.ReadOnly = true;
+                    cbReqMonth.Enabled = true;
+                }
+            }
+            this.Close();
+        }
+        #endregion
+
+        #region [承認]ボタン押下（未使用）
+        /// <summary>
+        /// [承認]ボタン押下（未使用）
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
         private void btnAgree_Click(object sender, EventArgs e)
         {
             if (ShowMessageBox("案件を承認します、よろしいですか？。", "承認確認", MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No)
@@ -904,9 +1165,9 @@
         }
         #endregion
 
-        #region [保留]ボタン押下
+        #region [保留]ボタン押下（未使用）
         /// <summary>
-        /// [保留]ボタン押下
+        /// [保留]ボタン押下（未使用）
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
@@ -929,9 +1190,9 @@
         }
         #endregion
 
-        #region [不承認]ボタン押下
+        #region [不承認]ボタン押下（未使用）
         /// <summary>
-        /// [不承認]ボタン押下
+        /// [不承認]ボタン押下（未使用）
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
